<?php

/**
 * Лента событий. Переписан весь код.
 *
 * Автор: Платонов Кирилл (Plato)
 * URL: http://master.promob.net
 */

include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();

// Удаление всех событий
if ($action == 'delete_all') {
	// Удаляем все события у этого пользователя
    mysql_query("DELETE FROM `lenta` WHERE `id_kont` = '$user[id]'");
}

// Удаление отдельного события
if (isset($_GET['delete_id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `lenta` WHERE `id` = '". intval($_GET['delete_id']) ."' AND `id_kont` = '$user[id]'"), 0) == 1) {
	// Удаляем выбраное событие
	mysql_query("DELETE FROM `lenta` WHERE `id` = '". intval($_GET['delete_id']) ."'");
}

header('Location: /lenta.php');
exit;

?>